Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees.international.pennchinese
Class CTBTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.international.pennchinese.CTBTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory

    public class CTBTreeReaderFactory

extends Object
implements TreeReaderFactory

The `CTBTreeReaderFactory` is a factory for creating a TreeReader suitable for the Penn CTB.

Author:
  Christopher Manning

Constructor Summary
`CTBTreeReaderFactory()`
`CTBTreeReaderFactory(TreeNormalizer tn)`
`CTBTreeReaderFactory(TreeNormalizer tn, boolean discardFrags)`

Method Summary
`TreeReader` | `newTreeReader(Reader in)` Create a new `TreeReader` using the provided `Reader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CTBTreeReaderFactory

    public CTBTreeReaderFactory()

### CTBTreeReaderFactory

    public CTBTreeReaderFactory(TreeNormalizer tn)

### CTBTreeReaderFactory

    public CTBTreeReaderFactory(TreeNormalizer tn,
                                boolean discardFrags)

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  Create a new `TreeReader` using the provided `Reader`.

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group